# null.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     17-Mr-2004.
# @Last Change: 08-Jan-2006.
# @Revision:    0.3747

require 'deplate/formatter'

class Deplate::Formatter::NULL < Deplate::Formatter
    self.myname = 'null'
    self.rx     = /null?/i
    
    def format_particle(agent, invoker, *args)
        ''
    end

    def format_element(agent, invoker, *args)
        ''
    end

    def output(invoker, *body)
    end
end


class Deplate::Core
    def body_write
    end
end

