# mod-en.rb -- Standard messages
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     07-Mai-2004.
# @Last Change: 23-Okt-2005.
# @Revision:    0.24

# Description:
# 
# Usage:
# 
# TODO:
# 
# CHANGES:
# 

module Deplate::Messages #{{{1
    LANG    = "de"
    CATALOG = {
            "Bibliography"      => "Bibliographie",
            "Figure"            => "Abbildung",
            "Footnotes"         => "Notes",
            "Index"             => "Register",
            "List of Figures"   => "Abbildungsverzeichnis",
            "List of Tables"    => "Tabellenverzeichnis",
            "p.\\ "             => "p.\\ ",
            "Table of Contents" => "Table de Matire",
            "Contents"          => "Inhalt", 
            "Table"             => "Tabelle",
        }
end

if Deplate::Formatter.matches?("latex")
    module Deplate::Formatter #{{{1
        class << self
            alias :prepare_re_fr :prepare
            def prepare(deplate)
                prepare_re_fr deplate
                deplate.add_at(:pre, :mod_packages, "\\usepackage[francais]{babel}")
            end
        end
    end
end

# vim: ff=unix
