# smart-dash.rb
# @Author:      Thomas Link (samul AT web de)
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     15-Apr-2006.
# @Last Change: 15-Apr-2006.
# @Revision:    0.25

class Deplate::Particle::Symbol
    @@symbols_table.delete(['--'])
    @@symbols_table << ['`--', '--']
    @@symbols_table << ['-', lambda do
        chars = Deplate::HyperLink.chars
        text  = if @last =~ /\d$/ or
                    @rest =~ /^\d/ or
                    (@last =~ /[#{chars}]$/ and @rest =~ /^[#{chars}]/)
                    '-'
                else
                    format_particle(:format_symbol, self, '--')
                end
        text
    end
    ]

    reset_symbols
end

