# dbk-article.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     17-Mr-2004.
# @Last Change: 23-Okt-2005.
# @Revision:    0.2056

require "deplate/docbook"
require "deplate/fmt/dbk-article"

class Deplate::Formatter::DbkArticle412 < Deplate::Formatter::DbkArticle
    self.myname = "dbk-article-4.1.2"
    self.rx     = /dbk|dbk-article|docbook/i

    def setup
        @deplate.variables['dbkClass']   ||= 'article'
        @deplate.variables['dbkVersion'] ||= '4.1.2'
    end
end

