# php.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     17-Mr-2004.
# @Last Change: 21-Apr-2006.
# @Revision:    0.914

require 'deplate/fmt/html'
require 'deplate/mod/php-extra'

# A variant of the html-formatter that is suited for php output.

class Deplate::Formatter::Php < Deplate::Formatter::HTML
    self.myname = 'php'
    self.rx     = /php[0-9]?/i
    self.suffix = '.php'
end

