# phpsite.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     17-Mr-2004.
# @Last Change: 21-Apr-2006.
# @Revision:    0.918

require 'deplate/fmt/htmlsite'
require 'deplate/mod/php-extra'

# A variant of the htmlsite-formatter that is suited for php output.

class Deplate::Formatter::PhpSite < Deplate::Formatter::HTML_Site
    self.myname  = 'phpsite'
    self.related = ['php']
    self.rx      = /php[0-9]?/i
    self.suffix  = '.php'
end

