# deplate-restricted.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     10-Mr-2005.
# @Last Change: 20-Nov-2005.
# @Revision:    0.39
#
# = Description
# = Usage
# = TODO
# = CHANGES

# require ''

# Deplate: Headings only
class Deplate::Input::DeplateHeadings < Deplate::Input
    self.myname = 'deplate-headings'

    def initialize(deplate, args)
        args[:elements] ||= [
            Deplate::Element::Heading,
        ]
        args[:commands]  ||= []
        args[:regions]   ||= []
        args[:onthefly_particles] ||= false
        args[:paragraph_class]    ||= Deplate::Element::Swallowed
        args[:command_class]      ||= nil
        super
    end
end

class Deplate::Element::Swallowed < Deplate::Element::Paragraph
    set_formatter :format_paragraph
    set_rx(/^([ \t]*)(.*)[ \t]*$/)
    def finish
        nil
    end
end

class Deplate::Core
    def input_initialize_deplate
        @options.input_class = Deplate::Input::DeplateHeadings
    end
end

