# symbols-sgml.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     27-Aug-2004.
# @Last Change: 26-Nov-2005.
# @Revision:    0.31

require "deplate/mod/symbols-utf-8"

class Deplate::Symbols::XML < Deplate::Symbols::Utf8
    self.myname = :xml
    
    def symbol_quote(invoker)
        "&quot;"
    end

    def symbol_gt(invoker)
        "&gt;"
    end

    def symbol_lt(invoker)
        "&lt;"
    end

    def symbol_amp(invoker)
        "&amp;"
    end
end

